from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.i18n import XCalendar

@runtime_checkable
class XExtendedCalendar(XCalendar, Protocol):
    def getDisplayString(self, nCalendarDisplayCode: int, nNativeNumberMode: int) -> str: ...
